package com.gic.enterprise.service;

import com.gic.auth.dto.UserDTO;
import com.gic.enterprise.entity.TabUser;

/**
 * @author guojx
 * @date 2019/7/16 6:50 PM
 */
public interface UserService {

    /**
     * 新增
     * @param userDTO
     * @return
     */
    int saveUser(UserDTO userDTO);

    void editUser(UserDTO userDTO);

    /**
     * 根据主键获取数据
     * @param userId
     * @return
     */
    TabUser getUserById(Integer userId);

    /**
     * 手机号码是否重复
     * @param userId
     * @param phone
     * @return
     */
    boolean isPhoneRepeat(Integer userId, String phone);
}
